summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Andy Alt <andy400-dev@yahoo.com>2018-09-08 02:59:36 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-09-08 02:59:36 +0700
commit3d093cb6ddd0b6a7747760f6f2661a5270dad09e (patch)
tree253c5b999ac21a2345de30733270a5464fe4a8a1
parent5aa706d9b7fd38e4dec53ab18976f84cc4aee769 (diff)
downloadslackbuilds-3d093cb6ddd0b6a7747760f6f2661a5270dad09e.tar.gz
slackbuilds-3d093cb6ddd0b6a7747760f6f2661a5270dad09e.tar.xz
network/modemu2k: Added (modem emulator).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/modemu2k/README5
-rw-r--r--network/modemu2k/modemu2k.SlackBuild77
-rw-r--r--network/modemu2k/modemu2k.info10
-rw-r--r--network/modemu2k/slack-desc19
4 files changed, 111 insertions, 0 deletions
diff --git a/network/modemu2k/README b/network/modemu2k/README
new file mode 100644
index 0000000000..3e8038f0e6
--- /dev/null
+++ b/network/modemu2k/README
@@ -0,0 +1,5 @@
+modemu2k adds telnet capability to a comm program.
+It can redirect telnet I/O to a pty so that a comm program
+can handle the pty as a tty with a real modem.
+
+modemu2k is a fork of modemu, originally developed by Toru Egashira
diff --git a/network/modemu2k/modemu2k.SlackBuild b/network/modemu2k/modemu2k.SlackBuild
new file mode 100644
index 0000000000..3980601073
--- /dev/null
+++ b/network/modemu2k/modemu2k.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for modemu2k
+
+# Written by (Andy Alt) (andy400-dev@yahoo.com)
+
+PRGNAM=modemu2k
+VERSION=${VERSION:-0.0.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/modemu2k/modemu2k.info b/network/modemu2k/modemu2k.info
new file mode 100644
index 0000000000..9db1580775
--- /dev/null
+++ b/network/modemu2k/modemu2k.info
@@ -0,0 +1,10 @@
+PRGNAM="modemu2k"
+VERSION="0.0.2"
+HOMEPAGE="https://github.com/theimpossibleastronaut/modemu2k"
+DOWNLOAD="https://github.com/theimpossibleastronaut/modemu2k/releases/download/v0.0.2/modemu2k-0.0.2.tar.gz"
+MD5SUM="d19da67da5983b34d8d8dd4d83a2d280"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Andy Alt"
+EMAIL="andy400-dev@yahoo.com"
diff --git a/network/modemu2k/slack-desc b/network/modemu2k/slack-desc
new file mode 100644
index 0000000000..b01912858e
--- /dev/null
+++ b/network/modemu2k/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+modemu2k: modemu2k (modem emulator)
+modemu2k:
+modemu2k: modemu2k adds telnet capability to a comm program. It can redirect
+modemu2k: telnet I/O to a pty so that a comm program can handle the pty as a
+modemu2k: tty with a real modem.
+modemu2k:
+modemu2k: modemu2k is a fork of modemu, originally developed by Toru Egashira.
+modemu2k:
+modemu2k:
+modemu2k:
+modemu2k: Homepage: https://github.com/theimpossibleastronaut/modemu2k